Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource Class Reference

## Public Member Functions
| HTML2PDFRelatedResource ()
| Constructor.
| HTML2PDFRelatedResource (FileReaderCallback related_resource_file, String resource_file_relative_path)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
FileReaderCallback | getRelated_resource_file ()
| Get the related resouce file. More...
String | getResource_file_relative_path ()
| Get the path of related_resource_file in the HTML content. More...
void | setRelated_resource_file (FileReaderCallback value)
| Set the related resouce file. More...
void | setResource_file_relative_path (String value)
| Set the path of related_resource_file in the HTML content. More...

## Detailed Description

This class represents related resource file data used for converting HTML to PDF.

## Constructor & Destructor Documentation

## ◆ HTML2PDFRelatedResource()

com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.HTML2PDFRelatedResource | ( | FileReaderCallback | related_resource_file,
|  | String | resource_file_relative_path
| ) |  |

Constructor, with parameters.

Parameters

  [in] | related_resource_file | The related resouce file.
  [in] | resource_file_relative_path | The path of related_resource_file in the HTML content.

Returns
  None.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getRelated_resource_file()

com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.getRelated_resource_file | ( |  | ) |

Get the related resouce file.

Returns
  The related resouce file.

## ◆ getResource_file_relative_path()

com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.getResource_file_relative_path | ( |  | ) |

Get the path of related_resource_file in the HTML content.

This value should be consistent with the path in the HTML content. For example: The path of related_resource_file in HTML content is > , this value should be set to "../one.png".

Returns
  The path of related_resource_file in the HTML content.

## ◆ setRelated_resource_file()

com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.setRelated_resource_file | ( | FileReaderCallback | value | ) |

Set the related resouce file.

Parameters

  [in] | value | The related resouce file.

Returns
  None.

## ◆ setResource_file_relative_path()

com.foxit.sdk.addon.conversion.HTML2PDFRelatedResource.setResource_file_relative_path | ( | String | value | ) |

Set the path of related_resource_file in the HTML content.

This value should be consistent with the path in the HTML content. For example: The path of related_resource_file in HTML content is > , this value should be set to "../one.png".

Parameters

  [in] | value | The path of related_resource_file in the HTML content.

Returns
  None.